Calendar
List booking pages
The booking pages this account can take bookings for. Call this first - every other calendar endpoint needs an event_type_id. host_found: false means there is no calendar account yet, which is different from having no event types. Requires scope calendar:read.
GET
/
calendar
/
event-types
List booking pages
curl --request GET \
--url https://api.smartlyq.com/v1/calendar/event-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartlyq.com/v1/calendar/event-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartlyq.com/v1/calendar/event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"host_found": true,
"event_types": [
{
"id": 123,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"length_minutes": 123,
"requires_confirmation": true
}
]
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}⌘I
List booking pages

